Subject: bug#52336: closed (Re: [bug#52335] [PATCH 2/2] gnu: add package notcurses.scm)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 29 Dec 2021 18:22:02 +0000

Your bug report

#52335: [PATCH 1/2] gnu: register notcurses.scm in local.mk

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52335: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52335
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#52335] [PATCH 2/2] gnu: add package notcurses.scm
From: Leo Famulari <[email-masked]>
To: Blake Shaw <[email-masked]>
Cc: [email-masked]
Date: Wed, 29 Dec 2021 13:20:59 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, Dec 29, 2021 at 12:48:38PM -0500, Leo Famulari wrote:
> I found the use of DFSG_BUILD to be confusing, so I asked upstream:
> 
> https://github.com/dankamongmen/notcurses/issues/2508

They helpfully clarified that we want this option to be ON. So, I've
done that, partially migrated the package to the "new style" [0], and
pushed as 7022eb6ea0f3be2f0eb58617c607ce34dfbff90a.

Thanks a lot for the contribution!

[0] I only changed the inputs to the new style. Changing the package's
arguments field is future work.
https://guix.gnu.org/en/blog/2021/the-big-change/

Subject: [PATCH 1/2] gnu: register notcurses.scm in local.mk
From: Blake Shaw <[email-masked]>
To: [email-masked]
Cc: Blake Shaw <[email-masked]>
Date: Tue, 7 Dec 2021 02:00:01 +0700
List-Id: <debbugs-submit.debbugs.gnu.org>

---
 gnu/local.mk | 1 +
 1 file changed, 1 insertion(+)

diff --git a/gnu/local.mk b/gnu/local.mk
index b91d6eaa62..54e6dd422d 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -422,6 +422,7 @@ GNU_SYSTEM_MODULES =				\
   %D%/packages/ninja.scm			\
   %D%/packages/node.scm				\
   %D%/packages/node-xyz.scm			\
+  %D%/packages/notcurses.scm			\
   %D%/packages/noweb.scm			\
   %D%/packages/nss.scm				\
   %D%/packages/ntp.scm				\
-- 
2.33.1